Bug 1380540 - Review Request: votca-xtp - VOTCA excitation and charge properties module
Summary: Review Request: votca-xtp - VOTCA excitation and charge properties module
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dridi Boukelmoune
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-09-29 23:38 UTC by Christoph Junghans
Modified: 2016-10-09 02:43 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-09 02:43:20 UTC
Type: ---
dridi.boukelmoune: fedora-review+


Attachments (Terms of Use)

Description Christoph Junghans 2016-09-29 23:38:10 UTC
Spec URL: http://junghans.github.io/fedora-review/votca-xtp/votca-xtp.spec
SRPM URL: http://junghans.github.io/fedora-review/votca-xtp/votca-xtp-1.4-0.1rc1.fc26.src.rpm

Description: Versatile Object-oriented Toolkit for Coarse-graining Applications (VOTCA) is a package intended to reduce the amount of routine work when doing systematic coarse-graining of various systems. The core is written in C++.
This package contains the excitation and charge properties module of VOTCA package.

Fedora Account System Username: junghans

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=15864420
fedora-review run on travis-ci:
Review.txt: http://junghans.github.io/fedora-review/votca-xtp/review.txt
Build log: https://travis-ci.org/junghans/fedora-review/builds/163869819
Raw Build log: https://s3.amazonaws.com/archive.travis-ci.org/jobs/163869820/log.txt

cmake option -DCMAKE_CXX_FLAGS_RELEASE="-DNDEBUG -O1" needed to avoid running out of memory on koji

Comment 2 Dridi Boukelmoune 2016-10-03 15:51:44 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

C/C++:
[-]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "Unknown or generated". 136 files have unknown
     license. Detailed output of licensecheck in
     1380540-votca-xtp/licensecheck.txt


[?]: License file installed when any subpackage combination is installed.
     Review note, it is not present in the devel subpackage.


[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/votca
     Review note: it is provided by votca-csg-common which isn't a dependency
     of the votca-xtp-common subpackage. Consider adding a dependency or
     owning /usr/share/votca too.

     --- votca-xtp.spec    2016-10-01 01:26:15.000000000 +0200
     +++ votca-xtp.spec    2016-10-03 16:46:43.898844031 +0200
     @@ -102,7 +102,7 @@
 
      %files common
      %license LICENSE.md
     -%{_datadir}/votca/xtp
     +%{_datadir}/votca

      %files libs
      %license LICENSE.md


[x]: %build honors applicable compiler flags or justifies otherwise.
     Review note: even with a non-parallel build I found my laptop hovering.

[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
     Review note: I didn't look at the whole source base, because it's too
     large but overall I haven't seen anything striking me as odd or out of
     place.

[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[?]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
 

[!]: Package requires other packages for directories it uses.
     Review note: see above, it's not the case for the common subpackage.

[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[-]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
     Review note: documentation is larger than 0 bytes, and a subpackage is
     present and in order.


[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in votca-
     xtp-libs , votca-xtp-devel , votca-xtp-common , votca-xtp-doc , votca-
     xtp-debuginfo
     Review note: dependencies exist towards subpackages.

[?]: Package functions as described.
     Review note: too big for me to test, relying on the github account and
     web site looking serious.

[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[?]: %check is present and all tests pass.
     Review note: I failed to find a test suite with a quick glance.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: %define _smp_mflags -j1
     Review note: it looks OK, it's only done for the build.

[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: There are rpmlint messages (see attachment).
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: votca-xtp-1.4-0.1rc1.fc26.x86_64.rpm
          votca-xtp-libs-1.4-0.1rc1.fc26.x86_64.rpm
          votca-xtp-devel-1.4-0.1rc1.fc26.x86_64.rpm
          votca-xtp-common-1.4-0.1rc1.fc26.noarch.rpm
          votca-xtp-doc-1.4-0.1rc1.fc26.noarch.rpm
          votca-xtp-debuginfo-1.4-0.1rc1.fc26.x86_64.rpm
          votca-xtp-1.4-0.1rc1.fc26.src.rpm
votca-xtp.x86_64: W: spelling-error %description -l en_US graining -> gaining, raining, training
votca-xtp.x86_64: W: no-documentation
votca-xtp.x86_64: W: no-manual-page-for-binary xtp_parallel
votca-xtp.x86_64: W: no-manual-page-for-binary xtp_tools
votca-xtp.x86_64: W: no-manual-page-for-binary xtp_run
votca-xtp.x86_64: W: no-manual-page-for-binary xtp_dump
votca-xtp.x86_64: W: no-manual-page-for-binary xtp_kmc_run
votca-xtp.x86_64: W: no-manual-page-for-binary xtp_basisset
votca-xtp.x86_64: W: no-manual-page-for-binary xtp_testsuite
votca-xtp.x86_64: W: no-manual-page-for-binary xtp_map
votca-xtp.x86_64: W: no-manual-page-for-binary xtp_overlap
votca-xtp.x86_64: W: no-manual-page-for-binary xtp_update
votca-xtp.x86_64: W: no-manual-page-for-binary xtp_update_exciton
votca-xtp-libs.x86_64: W: spelling-error %description -l en_US graining -> gaining, raining, training
votca-xtp-libs.x86_64: W: shared-lib-calls-exit /usr/lib64/libvotca_xtp.so.4 exit.5
votca-xtp-libs.x86_64: W: no-documentation
votca-xtp-devel.x86_64: W: spelling-error %description -l en_US graining -> gaining, raining, training
votca-xtp-devel.x86_64: W: only-non-binary-in-usr-lib
votca-xtp-devel.x86_64: W: no-documentation
votca-xtp-common.noarch: W: spelling-error %description -l en_US graining -> gaining, raining, training
votca-xtp-common.noarch: W: no-documentation
votca-xtp-doc.noarch: W: spelling-error %description -l en_US graining -> gaining, raining, training
votca-xtp-debuginfo.x86_64: E: script-without-shebang /usr/src/debug/xtp-1.4_rc1/src/tools/xtp_kmc_run.cc
votca-xtp.src: W: spelling-error %description -l en_US graining -> gaining, raining, training
7 packages and 0 specfiles checked; 1 errors, 23 warnings.




Rpmlint (debuginfo)
-------------------
Checking: votca-xtp-debuginfo-1.4-0.1rc1.fc26.x86_64.rpm
votca-xtp-debuginfo.x86_64: E: script-without-shebang /usr/src/debug/xtp-1.4_rc1/src/tools/xtp_kmc_run.cc
1 packages and 0 specfiles checked; 1 errors, 0 warnings.

    Review note: it looks like a broken permission in the debuginfo subpackage.




Rpmlint (installed packages)
----------------------------
votca-xtp-doc.noarch: W: spelling-error %description -l en_US graining -> gaining, raining, training
votca-xtp-debuginfo.x86_64: E: script-without-shebang /usr/src/debug/xtp-1.4_rc1/src/tools/xtp_kmc_run.cc
votca-xtp-common.noarch: W: spelling-error %description -l en_US graining -> gaining, raining, training
votca-xtp-common.noarch: W: no-documentation
votca-xtp.x86_64: W: spelling-error %description -l en_US graining -> gaining, raining, training
votca-xtp.x86_64: W: no-documentation
votca-xtp.x86_64: W: no-manual-page-for-binary xtp_map
votca-xtp.x86_64: W: no-manual-page-for-binary xtp_tools
votca-xtp.x86_64: W: no-manual-page-for-binary xtp_update
votca-xtp.x86_64: W: no-manual-page-for-binary xtp_parallel
votca-xtp.x86_64: W: no-manual-page-for-binary xtp_run
votca-xtp.x86_64: W: no-manual-page-for-binary xtp_testsuite
votca-xtp.x86_64: W: no-manual-page-for-binary xtp_update_exciton
votca-xtp.x86_64: W: no-manual-page-for-binary xtp_dump
votca-xtp.x86_64: W: no-manual-page-for-binary xtp_kmc_run
votca-xtp.x86_64: W: no-manual-page-for-binary xtp_basisset
votca-xtp.x86_64: W: no-manual-page-for-binary xtp_overlap
votca-xtp-libs.x86_64: W: spelling-error %description -l en_US graining -> gaining, raining, training
votca-xtp-libs.x86_64: W: shared-lib-calls-exit /usr/lib64/libvotca_xtp.so.4 exit.5
votca-xtp-libs.x86_64: W: no-documentation
votca-xtp-devel.x86_64: W: spelling-error %description -l en_US graining -> gaining, raining, training
votca-xtp-devel.x86_64: W: only-non-binary-in-usr-lib
votca-xtp-devel.x86_64: W: no-documentation
6 packages and 0 specfiles checked; 1 errors, 22 warnings.



Requires
--------
votca-xtp-doc (rpmlib, GLIBC filtered):

votca-xtp-debuginfo (rpmlib, GLIBC filtered):

votca-xtp-common (rpmlib, GLIBC filtered):

votca-xtp (rpmlib, GLIBC filtered):
    /usr/bin/python2
    libboost_filesystem.so.1.60.0()(64bit)
    libboost_program_options.so.1.60.0()(64bit)
    libboost_serialization.so.1.60.0()(64bit)
    libboost_timer.so.1.60.0()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgomp.so.1()(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.1)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    libvotca_csg.so.4()(64bit)
    libvotca_tools.so.4()(64bit)
    libvotca_xtp.so.4()(64bit)
    rtld(GNU_HASH)
    votca-xtp-common
    votca-xtp-libs(x86-64)

votca-xtp-libs (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libboost_filesystem.so.1.60.0()(64bit)
    libboost_program_options.so.1.60.0()(64bit)
    libboost_serialization.so.1.60.0()(64bit)
    libboost_timer.so.1.60.0()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgomp.so.1()(64bit)
    libgomp.so.1(GOMP_1.0)(64bit)
    libgomp.so.1(GOMP_4.0)(64bit)
    libgomp.so.1(OMP_1.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.1)(64bit)
    libstdc++.so.6(CXXABI_1.3.8)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    libvotca_csg.so.4()(64bit)
    libvotca_tools.so.4()(64bit)
    rtld(GNU_HASH)

votca-xtp-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    libvotca_xtp.so.4()(64bit)
    votca-csg-devel(x86-64)
    votca-xtp-libs(x86-64)



Provides
--------
votca-xtp-doc:
    votca-xtp-doc

votca-xtp-debuginfo:
    votca-xtp-debuginfo
    votca-xtp-debuginfo(x86-64)

votca-xtp-common:
    votca-xtp-common

votca-xtp:
    votca-xtp
    votca-xtp(x86-64)

votca-xtp-libs:
    libvotca_xtp.so.4()(64bit)
    votca-xtp-libs
    votca-xtp-libs(x86-64)

votca-xtp-devel:
    votca-xtp-devel
    votca-xtp-devel(x86-64)



Source checksums
----------------
https://github.com/votca/xtp/archive/v1.4_rc1.tar.gz#/votca-xtp-1.4_rc1.tar.gz :
  CHECKSUM(SHA256) this package     : b3c839b0cd372399a9de3e06a2d1aedb926ccde4d2df3b9600bc1470ddb0b7df
  CHECKSUM(SHA256) upstream package : b3c839b0cd372399a9de3e06a2d1aedb926ccde4d2df3b9600bc1470ddb0b7df
https://github.com/votca/xtp/releases/download/v1.4_rc1/votca-xtp-manual-1.4_rc1.pdf :
  CHECKSUM(SHA256) this package     : 641a0ee0f95a31f01cf8efccfecf00fea6b353206ded3b06bfd0147c1216df99
  CHECKSUM(SHA256) upstream package : 641a0ee0f95a31f01cf8efccfecf00fea6b353206ded3b06bfd0147c1216df99


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1380540
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 3 Christoph Junghans 2016-10-03 20:44:17 UTC
(In reply to Dridi Boukelmoune from comment #2)
> [?]: License file installed when any subpackage combination is installed.
>      Review note, it is not present in the devel subpackage.
Devel pulls in the main package, which has the license file.

> [!]: Package must own all directories that it creates.
>      Note: Directories without known owners: /usr/share/votca
>      Review note: it is provided by votca-csg-common which isn't a dependency
>      of the votca-xtp-common subpackage. Consider adding a dependency or
>      owning /usr/share/votca too.
> [?]: Package does not generate any conflict.
> [!]: Package requires other packages for directories it uses.
>      Review note: see above, it's not the case for the common subpackage.
Add requirement on votca-csg-common, that should fix these issues.

> [?]: Package functions as described.
>      Review note: too big for me to test, relying on the github account and
>      web site looking serious.
> [?]: Package should compile and build into binary rpms on all supported
>      architectures.
I did another Koji build and it passed on all 4 archs, see
http://koji.fedoraproject.org/koji/taskinfo?taskID=15927493

> [?]: %check is present and all tests pass.
>      Review note: I failed to find a test suite with a quick glance.
Yes, there is no test suite.

> Rpmlint (debuginfo)
> -------------------
> Checking: votca-xtp-debuginfo-1.4-0.1rc1.fc26.x86_64.rpm
> votca-xtp-debuginfo.x86_64: E: script-without-shebang
> /usr/src/debug/xtp-1.4_rc1/src/tools/xtp_kmc_run.cc
> 1 packages and 0 specfiles checked; 1 errors, 0 warnings.
> 
>     Review note: it looks like a broken permission in the debuginfo
> subpackage.
Fixed.

Comment 5 Dridi Boukelmoune 2016-10-04 12:14:04 UTC
It now looks good to me, package approved!

Please open a pull request upstream to fix the permissions of src/tools/xtp_kmc_run.cc

Comment 6 Christoph Junghans 2016-10-04 12:23:35 UTC
(In reply to Dridi Boukelmoune from comment #5)
> It now looks good to me, package approved!
> 
> Please open a pull request upstream to fix the permissions of
> src/tools/xtp_kmc_run.cc
Done! Thanks for the review.

Comment 7 Gwyn Ciesla 2016-10-04 12:29:26 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/votca-xtp

Comment 8 Fedora Update System 2016-10-05 20:29:22 UTC
votca-xtp-1.4-0.2rc1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-5ef1f0c73b

Comment 9 Fedora Update System 2016-10-09 02:43:20 UTC
votca-xtp-1.4-0.2rc1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.